/**
* @Copyright ((c) plasma-web.ru
*/

.close {
    position: relative;
    padding: 0;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 1000;
    margin-right: 20px;
    margin-top:10px;
    opacity: 0.8;

}

.close span {
    position: relative;
    color: #ffffff; /* Color de la cruz */
    font-size: 40px; /* Tamaño de la cruz */
}

label {
    margin:0 !important;
}
.miq3form {
    background-color: #719ad5 !important;
    padding-bottom: 30px;
    margin-left: 30px;
    margin-right: 150px!important;
    max-width: 96%;

}
#enviar_datos {
    margin-top:10px;
    background-color: #4CAF50; /* Color de fondo verde */
}
#comercialesForm {
    margin-left:30px;
}
.input-error {
    border-color: red !important;
    background-color: #f8b9b2 !important;
}

textarea, #com, #enviar_datos {
    margin-left: 5px !important;
}
textarea {
width: 97% !important;
}

#tipo, #label_tipo {
    margin-left: 18px !important;
}
#tipo {
    width: 100%;

}
#div_tipo {
    padding-right: 15px;
}

/* Estilo personalizado para ajustar el ancho de los campos de entrada */
.custom-input-width {

    width: 100% !important;
    margin-top: 0 !important;

}
#titu {
    margin-top: -20px;
}
label {
    color:white;
}
.form-group {
    margin-bottom: 0 !important;
}

.invalid {
    border: 1px solid red;
}
/* Estilos para el botón "Enviar" */
#submit-btn {
    background-color: #4CAF50; /* Color de fondo verde */
    margin: 20px auto; /* Centrar horizontalmente */

    color: white; /* Texto blanco */
    padding: 12px 24px; /* Espaciado interior para hacerlo más grande */
    border: none; /* Sin bordes */
    border-radius: 4px; /* Bordes redondeados */
    cursor: pointer; /* Cursor en forma de mano al pasar por encima */
    font-size: 16px; /* Tamaño del texto */
    transition: background-color 0.3s ease; /* Efecto suave al cambiar de color */
}

#submit-btn:hover {
    background-color: #45a049; /* Cambia de color al pasar el cursor */
}

.arrastrar {
    width: 100%;
    text-align: center;
}



/* Estilos personalizados para el botón de selección de archivos */
/* Estilo del botón personalizado */





.custom-file-upload {
    display: inline-block;
    padding: 10px 15px;
    color: #fff;
    background-color: #3498db;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-family: Arial, sans-serif;
    font-size: 16px;
    transition: background-color 0.3s ease;
}

/* Estilo para cuando el usuario coloca el cursor sobre el botón */
.custom-file-upload:hover {
    background-color: #2980b9;
}

/* Estilo para el icono */
.custom-file-upload i {
    margin-right: 5px;
}

/* Ocultar el input de archivo */
#fileElem {
    display: none;
}










#gallery {
    display: flex;
    flex-wrap: wrap;
}

.thumbnail-container {
    position: relative;
    margin-right: 10px;
    margin-bottom: 10px;
}

.thumbnail-container img {
    max-width: 100%;
    max-height: 100px;
    width: auto;
    height: auto;
    margin-bottom: 5px;
}

#drop-area {
    border: 2px dashed #ccc;
    border-radius: 20px;
    min-height: 150px;
    padding: 20px;
    background-color: #f8f8f8;
}

#gallery img {
    max-width: 100%;
    max-height: 100px; /* Establecer la altura máxima */
    width: auto;
    height: auto;
    margin-top: 10px;
    margin-right: 10px;
}

#progress-bar {
    width: 100%;
    margin-top: 20px;
}

.colaborar {
    top: 50px !important;
}


.qf3form.example2 {
    padding: 20px 10px;
    background: #fff;
    box-sizing: border-box;
}

.qf3form.example2 * {
    margin: 0;
    box-sizing: border-box;
    max-width: none;
    font-size: 1em;
    line-height: 1rem;
}

.qf3form.example2 h1 {
    font-size: 1.5em;
    text-align: center;
    padding-bottom: 2em;
    line-height: 120%;
}

.qf3form.example2 .qf3 {
    padding: 0 5% 1.2em;
}

.qf3form.example2 .qf3label {
    font-size: 86%;
    width: 100%;
    display: block;
}

.qf3form.example2 .qf3txt input, .qf3form.example2 select, .qf3form.example2 textarea {
    display: inline-block;
    width: 100%;
    background: #fff;
    padding: 0.6em;
    border: 1px solid #8e8e8e;
    border-radius: 0.3em;
    font-size: 82%;
}

.qf3form.example2 .qf3labelreq {
    padding-left: 0.1em;
}

/*modal form*/
.qf3form.example2.qfoverlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #000000;
    opacity: 0.8;
    z-index: 9990;
    margin: 0;
}

.qf3form.example2.qfmodalform {
    position: absolute;
    top: 0;
    left: 10%;
    width: 80%;
    height: auto;
    z-index: 9999;
    border: 1px solid #ccc;
    border-radius: 20px;
}


/*ajax form*/
.qf3form.example2.qfmodalform .qfajaxres .qfclose {
    display: none;
}


/* message */
.qf3form.example2 .qfmess span {
    padding: 1em;
    display: block;
}

.qf3form.example2 .qfclose {
    position: absolute;
    top: 15px;
    right: 5px;
    height: 24px;
    width: 24px;
    cursor: pointer;
    color: #ff0000;
    font-size: 24px;
}

/* radio */
.qf3form.example2 .radioblok {
    display: inline-block;
}

.qf3form.example2 .qfradio.ver .qf3label {
    vertical-align: top;
}

.qf3form.example2 .qfradio.ver .radioblok label {
    display: block;
    white-space: nowrap;
    margin-top: -0.5em;
    margin-left: 1.6em;
    line-height: 0;
    height: 1em;
    margin-bottom: 0.3em;
    font-size: 92%;
}

.qf3form.example2 .qfradio.hor .radioblok label {
    display: inline-block;
    white-space: nowrap;
    margin: 0 1em 0 0.5em;
}

.qf3form.example2 .qfradio.hor .radioblok input {
    vertical-align: middle;
}

/* textarea */
.qf3form.example2 textarea {
    height: 10em;
    vertical-align: top;
}

/* checkbox */
.qf3form.example2 .qfcheckbox input,
.qf3form.example2 .qfbackemail input {
    margin: 0 0.5em 0 0;
    vertical-align: middle;
}

.qf3form.example2 .qfchkbx {
    display: inline-block;
    padding-left: 1em;
}

/* hidden */
.qf3form.example2 .qfhidden {
    display: none;
}

/* button */
.qf3form.example2 .qf3btn input {
    border: 1px solid #8d8d8d;
    border-radius: 2em;
    padding: 0.4em 1em;
    font-size: 86%;
    background: #fff;
    cursor: pointer;
    color: #000;
    text-transform: none;
}
.qf3form.example2 .qf3btn input:hover {
    background: #f0f0f0;
}

/* file */
.qf3form.example2 .qffile input {
    max-width: 38%;
    display: inline-block;
    border: 0;
    padding: 0.3em;
}

.qf3form.example2 .filelabel {
    padding-left: 1em;
}

/* customfile */
.qf3form.example2 .customfile svg {
    width: 1.8em;
    vertical-align: middle;
    cursor: pointer;
    color: #0074e9;
}

.qf3form.example2 .customfile svg:hover {
    color: #5ea7f1;
}

.qf3form.example2 .customfilebox {
    display: flex;
    flex-wrap: wrap;
    margin-left: 38%;
}

.qf3form.example2 .customfilebox>div {
    padding: 5px;
    position: relative;
    height: 38px;
    box-sizing: content-box;
    margin: 15px 5px 5px 0;
    border: 1px solid #e1ebf7;
}

.qf3form.example2 .customfilebox>div>div {
    width: 30px;
    height: 100%;
    border: 3px solid #0074e9;
    background: #fff;
    border-radius: 5px;
    position: relative;
}

.qf3form.example2 .customfilebox>div>div>div {
    width: 30px;
    max-width: 30px;
    height: 1em;
    margin-top: 62%;
    margin-left: -3px;
    background: #fff;
    font-size: 11px;
    text-align: center;
    font-weight: bold;
    line-height: 1;
}

.qf3form.example2 .customfilebox>div>div::before {
    content: '';
    position: absolute;
    top: -3px;
    right: -3px;
    border: 7px solid transparent;
    border-color: #e3fffe #e3fffe #0074e9 #0074e9;
}

.qf3form.example2 .customfilebox img {
    height: 100%;
}

.qf3form.example2 .customfilebox a {
    position: absolute;
    top: -3px;
    right: -3px;
    color: red;
    display: block;
    height: 1.1em;
    width: 1.1em;
    border-radius: 1em;
    background: #fff;
    text-align: center;
    line-height: 0;
    padding-top: 0.6em;
}

.qf3form.example2 .customfilebox a:hover {
    color: #000;
    text-decoration: none;
}

.qf3form.example2 .customfilemes {
    margin-left: 38%;
    font-size: 78%;
    color: #252727;
}

.qf3form.example2 .customfilemes.qfinline {
    margin: 0;
    display: inline;
    padding-left: 10px;
}

/* link */
.qf3form.example2 .qfcapt {
    text-align: right;
}

.qf3form.example2 .qfcapt a {
    color: #CCC;
    font-size: 10px;
    padding: 1em 2em;
}

.qf3form.example2 .nfl {
    display: none;
}


/* qf_checkbox */

.qf3form.example2 .qf_checkbox .qf3label {
    margin: 1.8em 0 0 0;
}

.qf3form.example2 .qf_checkbox .qfempty {
    margin: 0;
}

.qf3form.example2 .qf_checkbox input {
    position: absolute;
    opacity: 0;
}

.qf3form.example2 .qf_checkbox .chbxlabel {
    position: relative;
    padding: 0.3em 0 0 4em;
    cursor: pointer;
    font-size: 80%;
}

.qf3form.example2 .qf_checkbox .chbxlabel:before {
    content: '';
    font-size: 80%;
    position: absolute;
    top: 0;
    left: 0;
    width: 3.7em;
    height: 1.8em;
    border: 0;
    border-radius: 1em;
    background: #CDD1DA;
    box-shadow: inset 0 2px 3px rgba(0, 0, 0, .2);
    transition: .2s;
}

.qf3form.example2 .qf_checkbox .chbxlabel:after {
    content: '';
    font-size: 80%;
    position: absolute;
    top: 0.1em;
    left: 0.1em;
    width: 1.6em;
    height: 1.5em;
    border: 0;
    border-radius: 1em;
    background: #FFF;
    box-shadow: 0 2px 5px rgba(0, 0, 0, .2);
    transition: .2s;
}

.qf3form.example2 .qf_checkbox input:checked+.chbxlabel:before {
    background: #51af7c;
}

.qf3form.example2 .qf_checkbox input:checked+.chbxlabel:after {
    left: 2em;
}

/* calendar */
.qf3form.example2 .double {
    display: inline-block;
    width: 62%;
}

.qf3form.example2 .single {
    display: inline-block;
    width: 38%;
}

.qf3form.example2 .qfcalendar input {
    width: 100%;
}

.qf3form.example2 .double_inner,
.qf3form.example2 .qf_date_inner {
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.qf3form.example2 .double .qf_date {
    width: 48%;
}

.qf3form.example2 .qf_calen {
    position: relative;
    z-index: 9999;
}

.qf3form.example2 .widgetCalendar {
    position: absolute;
    left: 0;
    height: 0px;
    overflow: hidden;
    width: 100%;
    min-width: 180px;
}

.qf3form.example2 .qf_date_a {
    display: block;
    padding: 0 1.2em;
    background-size: 100% 100%;
    width: 3em;
}

.qf3form.example2 div.datepicker {
    height: 200px;
}

.qf3form.example2 .datepickerContainer,
.qf3form.example2 .datepickerContainer table {
    width: 100%;
    height: 100%;
}

.qf3form.example2 input.invalid, .qf3form.example2 textarea.invalid {
    border-color: #fcaaaa;
    background: #fffefe;
}

.qf3form.example2 .qfhide {
    width: 1px;
    overflow: hidden;
    display: inline-block;
    opacity: 0;
}

a.qf3modal.example2 {
    display: inline-block;
    background: #fff;
    color: #000;
    padding: 0.1em 1em;
    border: 1px solid #ccc;
    border-radius: 1em;
    font-weight: bold;
    font-family: Arial, sans-serif;
}
a.qf3modal.example2:hover {
    background: #f6f6f6;
}



@media screen and (max-width: 991px) {


    #com, #enviar_datos {
        margin-left: 10px !important;
    }
    textarea {
        margin-left: 15px !important;
        width: 95% !important;
    }


    #titu {
        margin-top: 10px;
    }

    #tipo, #label_tipo {
        margin-left: 15px !important;
    }
    #tipo {
        width: calc(100% - 2rem) !important;

    }
    #div_tipo {
        padding-right: 15px;
    }


}





@media screen and (max-width: 720px) {
    .qf3form.example2.qfmodalform {
        left: 5%;
        width: 90%;
        margin-left: 0;
    }

    #titu {
        margin-top:10px;
    }




}
